Subject: Drill press and recommendations wanted

From: [email-masked] (Mark Forbes)
Date: 31 Dec 92 02:59:56 GMT

I'm looking for a drill press. What I'd *like* to find is an older
press in good shape, used. What I can afford is $300. What I can
get new is a Chinese knock-off. I've looked at Jet as a possiblity.

What do you think? Opinions, suggestions, places to look, offers to
sell, all cheerfully welcomed.

Mark G. Forbes | [email-masked]
Corvallis, OR  | 503 757 8416 work phone    | Hardware R & D